import java.util.Scanner;

public class B {
    public static void main(String[] args){
        Scanner sc = new Scanner(System.in);
        char[] a = sc.next().toCharArray();
        char[] b = sc.next().toCharArray();
        System.out.print(pluse(a, b) + " ");
        char[] ans = umnozh(a, b);
        for (char ch : ans) System.out.print(ch);
    }

    public static StringBuilder pluse(char[] a, char[] b){
        int al = a.length;
        int bl = b.length;
        StringBuilder ans = new StringBuilder();
        if(al>bl) {
            for (int i = 0; i < al-bl; i++) {
                ans.append(a[i]);
            }
            for (int i = al-bl; i < al; i++) {
                ans.append((char)Math.max(a[i], b[i+bl-al]));
            }
        }
        else if(bl>al) {
            for (int i = 0; i < bl-al; i++) {
                ans.append(b[i]);
            }
            for (int i = bl-al; i < bl; i++) {
                ans.append((char)Math.max(b[i], a[i+al-bl]));
            }
        }
        else {
            for (int i = 0; i < bl; i++) {
                ans.append((char)Math.max(a[i], b[i]));
            }
        }
        return ans;
    }

    public static char[] umnozh(char[] a, char[] b){
        int al = a.length;
        int bl = b.length;
        StringBuilder[] ar = new StringBuilder[bl];
        for (int i = 0; i < bl; i++) {
            ar[i] = new StringBuilder();
            for (int j = 0; j < al; j++) {
                ar[i].append((char) Math.min(b[bl-i-1], a[j]));
            }
            for (int j = 0; j < i; j++) {
                ar[i].append("0");
            }
        }
        char[] sum = ar[0].toString().toCharArray();
        for (int i = 1; i < bl; i++) {
            char[] som = ar[i].toString().toCharArray();
            sum = pluse(sum, som).toString().toCharArray();
        }
        return sum;
    }
}
